/*
 * Created by diablos on 2007-12-02 12:44:23 +0100
 * All Rights Reserved
 */

#ifndef _PAVEIMAGEREP_H_
#define _PAVEIMAGEREP_H_

#import <AppKit/AppKit.h>

extern NSString * const PaVeImagePboardType;

#include <lua50/lua.h>
#include <lua50/lauxlib.h>
#include <lua50/lualib.h>

@interface PaVeImageRep : NSImageRep
{
  NSString *name;
  NSString *programData;
  NSDictionary *extraArguments;

  lua_State *L;
}

- (void) setName: (NSString *) aName;
- (NSString *) name;

- (void) setExtraArguments: (NSDictionary *) dict;
- (NSDictionary *) extraArguments;

- (BOOL) drawInRect: (NSRect) r arguments: (NSDictionary *) args;

@end

#endif // _PAVEIMAGEREP_H_
